You are viewing a plain text version of this content. The canonical link for it is here.
Posted to issues@arrow.apache.org by "ASF GitHub Bot (JIRA)" <ji...@apache.org> on 2018/04/02 16:58:00 UTC

[jira] [Commented] (ARROW-2376) [Rust] Travis should run tests for Rust library

    [ https://issues.apache.org/jira/browse/ARROW-2376?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16422769#comment-16422769 ] 

ASF GitHub Bot commented on ARROW-2376:
---------------------------------------

xhochy closed pull request #1819: ARROW-2376: [Rust] Travis builds the Rust library
URL: https://github.com/apache/arrow/pull/1819
 
 
   

This is a PR merged from a forked repository.
As GitHub hides the original diff on merge, it is displayed below for
the sake of provenance:

As this is a foreign pull request (from a fork), the diff is supplied
below (as it won't show otherwise due to GitHub magic):

diff --git a/.travis.yml b/.travis.yml
index 03bc8e26a..c3e08b9b2 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -192,6 +192,12 @@ matrix:
     - $TRAVIS_BUILD_DIR/ci/travis_before_script_c_glib.sh
     script:
     - $TRAVIS_BUILD_DIR/ci/travis_script_c_glib.sh
+  - language: rust
+    rust: stable
+    before_script:
+    - if [ $ARROW_CI_RUST_AFFECTED != "1" ]; then exit; fi
+    script:
+    - $TRAVIS_BUILD_DIR/ci/travis_script_rust.sh
 
 after_failure:
 - COREFILE=$(find . -maxdepth 2 -name "core*" | head -n 1)
diff --git a/ci/travis_detect_changes.py b/ci/travis_detect_changes.py
index d60b13227..5295d554b 100644
--- a/ci/travis_detect_changes.py
+++ b/ci/travis_detect_changes.py
@@ -26,7 +26,7 @@
 
 perr = functools.partial(print, file=sys.stderr)
 
-LANGUAGE_TOPICS = ['c_glib', 'cpp', 'java', 'js', 'python']
+LANGUAGE_TOPICS = ['c_glib', 'cpp', 'java', 'js', 'python', 'rust']
 
 ALL_TOPICS = LANGUAGE_TOPICS + ['integration', 'site']
 
@@ -127,7 +127,7 @@ def get_affected_topics(affected_files):
         elif p in ('java', 'js'):
             affected[p] = True
             affected['integration'] = True
-        elif p in ('c_glib', 'integration', 'python', 'site'):
+        elif p in ('c_glib', 'integration', 'python', 'site', 'rust'):
             affected[p] = True
 
     return affected
diff --git a/ci/travis_env_common.sh b/ci/travis_env_common.sh
index 416977c13..46e02f1a0 100755
--- a/ci/travis_env_common.sh
+++ b/ci/travis_env_common.sh
@@ -27,6 +27,7 @@ export ARROW_C_GLIB_DIR=$TRAVIS_BUILD_DIR/c_glib
 export ARROW_JAVA_DIR=${TRAVIS_BUILD_DIR}/java
 export ARROW_JS_DIR=${TRAVIS_BUILD_DIR}/js
 export ARROW_INTEGRATION_DIR=$TRAVIS_BUILD_DIR/integration
+export ARROW_RUST_DIR=${TRAVIS_BUILD_DIR}/rust
 
 export CPP_BUILD_DIR=$TRAVIS_BUILD_DIR/cpp-build
 
diff --git a/ci/travis_script_rust.sh b/ci/travis_script_rust.sh
new file mode 100755
index 000000000..89554f6e4
--- /dev/null
+++ b/ci/travis_script_rust.sh
@@ -0,0 +1,28 @@
+#!/usr/bin/env bash
+
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -e
+
+RUST_DIR=${TRAVIS_BUILD_DIR}/rust
+
+pushd $RUST_DIR
+
+cargo test
+
+popd


 

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


> [Rust] Travis should run tests for Rust library
> -----------------------------------------------
>
>                 Key: ARROW-2376
>                 URL: https://issues.apache.org/jira/browse/ARROW-2376
>             Project: Apache Arrow
>          Issue Type: Improvement
>          Components: Rust
>            Reporter: Andy Grove
>            Assignee: Andy Grove
>            Priority: Major
>              Labels: pull-request-available
>             Fix For: 0.10.0
>
>
> We need travis to build the Rust library and run tests so that future PRs do not introduce regressions.
>  
> PR: https://github.com/apache/arrow/pull/1819



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)